Skip to main content
GET
/
consumers
/
{consumer_id}
/
payment
/
payments
/
{payment_id}
Get a payment
curl --request GET \
  --url https://api.chift.eu/consumers/{consumer_id}/payment/payments/{payment_id}
import requests

url = "https://api.chift.eu/consumers/{consumer_id}/payment/payments/{payment_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.chift.eu/consumers/{consumer_id}/payment/payments/{payment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "source_ref": {
    "id": "<string>",
    "model": "<string>"
  },
  "description": "<string>",
  "amount": 123,
  "currency": "<string>",
  "payment_date": "2023-11-07T05:31:56Z",
  "partner_id": "<string>"
}
{
"message": "Error while trying to perform your request",
"status": "error"
}
{
"message": "The payment doesn't exist in the system.",
"status": "error"
}
{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

consumer_id
string<uuid>
required
payment_id
string
required

Response

Successful Response

id
string
required

Technical id in Chift

source_ref
Ref · object
required

Technical id in the target software

status
enum<string>
required

Payment status

Available options:
pending,
completed,
partially_completed,
canceled,
failed,
unknown,
authorized
description
string
required

Description

amount
number
required

Amount

currency
string
required

Currency

payment_date
string<date-time>
required

Date of creation

partner_id
string | null

Partner ID